[Buildroot] [V3 1/2] dropbear: bump to version 2018.76

Thomas Petazzoni thomas.petazzoni at bootlin.com
Wed Mar 28 08:01:49 UTC 2018


Hello,

On Wed, 28 Mar 2018 09:57:57 +0200, François Perrad wrote:

> > Could you have a look ?
> 
> The presence of crypt() is detected by the configure script.

So, if it's detected by the configure script, there should be no
problem, no ?

> in dropbear-2017-75/options.h, the logic was :
>     /* This requires crypt() */
>     #ifdef HAVE_CRYPT
>     #define ENABLE_SVR_PASSWORD_AUTH
>     #endif
> 
> in dropbear-2018-76/sysoptions.h, the logic is now :
>     #if DROPBEAR_SVR_PASSWORD_AUTH && !HAVE_CRYPT
>         #error "DROPBEAR_SVR_PASSWORD_AUTH requires `crypt()'."
>     #endif
> 
> So, without something like BR2_TOOLCHAIN_HAS_CRYPT,
> we must always disable the option DROPBEAR_SVR_PASSWORD_AUTH in
> localoptions.h.

I don't understand. On one hand, you say that the presence of crypt()
is detected by the configure script, and on the other hand, you say
that we must tell Dropbear explicitly whether crypt() is available or
not.

Could you clarify ?

Thanks!

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin (formerly Free Electrons)
Embedded Linux and Kernel engineering
https://bootlin.com


More information about the buildroot mailing list